NETIF_RECEIVE_SKB(9)

NAME
netif_receive_skb - process receive buffer from network

SYNOPSIS

int netif_receive_skb(struct sk_buff * skb);

ARGUMENTS

skb
    buffer to process

DESCRIPTION

netif_receive_skb is the main receive data processing function. It always succeeds. The buffer may be dropped during processing for congestion control or by the protocol layers.

This function may only be called from softirq context and interrupts should be enabled.

Return values (usually ignored):

NET_RX_SUCCESS

no congestion

NET_RX_DROP

packet was dropped

COPYRIGHT